//
// MessageManager.java
// MessageManger is an interface for objects capable of managing
// communications with a message server.
package org.dyndns.fishyu.messenger;

public interface MessageManager {   
   
   // connect to message server and route incoming messages
   // to given MessageListener
   public void connect( MessageListener listener );
   
   // disconnect from message server and stop routing
   // incoming messages to given MessageListener
   public void disconnect( MessageListener listener );
   
    public void sendPhotoMessage( String userName, int type, String code );
   
   // send message to message server
   public void sendChannelMessage( String from, 
   								  String message, String ChannelAndChannelSendCode  );  
   
   public void sendPrivateMessage( String from, String to, String message, String PriSendCode);
   
   public void sendMessage( int infoStyle, String info ); // for userList
   
   public void sendCommand( String command );
   
}
